Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0002391 [JEDI VCL] 00 JVCL Components minor always 2004-12-16 01:13 2005-01-03 08:58
Reporter ViC View Status public  
Assigned To AHUser
Priority normal Resolution fixed  
Status resolved   Product Version 3.00 BETA 2
Summary 0002391: AV in TJvDatePickerEdit if there was an exception in the OnChange Event
Description If there was an unhelded exception in the OnChange Event, then at the first time:
1) OnChange is executed once again
2) AV or "Control '' has no parent" exception is raised
For the second time and further on:
1) AV or "Control '' has no parent" exception is raised

Additional Information I couldn't find the roots of the problem, all I could dig that in
procedure TControl.WMLButtonUp(var Message: TWMLButtonUp);
in this line

> if PtInRect(ClientRect, SmallPointToPoint(Message.Pos)) then Click;

ClientRect couldn't be accessed...
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0006056)
AHUser (developer)
2005-01-02 05:35

It is not the exception itself. It is the appearing dialog.
(0006071)
AHUser (developer)
2005-01-03 08:58

Fixed in CVS.

- Issue History
Date Modified Username Field Change
2004-12-16 01:13 ViC New Issue
2005-01-02 05:35 AHUser Note Added: 0006056
2005-01-02 05:35 AHUser Assigned To => AHUser
2005-01-02 05:35 AHUser Status new => assigned
2005-01-03 08:58 AHUser Status assigned => resolved
2005-01-03 08:58 AHUser Resolution open => fixed
2005-01-03 08:58 AHUser Note Added: 0006071


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker